% Matlab Exercise M1-2 
% Calculation of Gaussain Pulse Energy using Integration 

Po = 1e-3; %[W]
to = 150e-12; %[sec]

Ts = 0.2*to;  % Define sampling period
t = (-5*to):Ts:(5*to-Ts); % Define integration range


e_pulse_gaussian = sqrt(Po)*exp(-t.^2/(2*to*to)); % a(t)
optical_pulse_gaussian = e_pulse_gaussian.*e_pulse_gaussian; % p(t)=a(t)^2

Pulse_energy_exact = sqrt(pi)*Po*to    % Theoretical Pulse Energy
Pulse_energy1 = Ts*sum(optical_pulse_gaussian) % Caclulted Pulse Energy


