% 
clear all
close all

c=3e8;%[m/s] 
NA=0.275;
n2=1.485; N1=n2;

L=(0:5:1000)*1e3; %[m]

B_step_max = c*n2./(2*L*NA*NA); % [bps] eq.(3.9)
B_grade_max = 8*c*N1^3./(L*NA^4); %[bps]

figure(1)
loglog(L,B_step_max,'r',L,B_grade_max);
axis([0 1000e3 1e5 1e10]);
xlabel('Ÿ, L [km]')
ylabel('Ʈ, B [Gb/s]')


