% Matlab Exercise M1-1 c)
% Numerical Integration using function 'sum'

clear all

N = 2.^(5:15); % Define the data number

for n=1:length(N)
 
    x_max = 5;
    dx(n) = x_max/N(n);% Step size
    x = 0:dx(n):x_max; % Integration range
    y = exp(-x.^2/2);    % 
    area_y(n) = dx(n)*sum(y); % Integration result
 
end

figure(1)
subplot 211
plot(N,area_y,'-o') % plot the numerical integration result as a function of N
xlabel('Data number, N'), ylabel('Integration Result')
hold on
plot(N,sqrt(pi/2)*ones(1,length(N)),'r') % The theoretical value

subplot 212
plot(dx,area_y,'-*') % plot the numerical integration result as a function of dx
xlabel('1/dx'), ylabel('Integration Result')
hold on
plot(dx,sqrt(pi/2)*ones(1,length(N)),'r') % The theoretical value