% section 1.8.3
% Figure 1-20

clear all
close all

Po = 1e-3; %[W]
to = 100e-12; %[sec]

Ts = 0.02*to;
t = (-5*to):Ts:(5*to-Ts);
fs = 1/Ts;
df = fs/length(t);
f = (-fs/2):df:(fs/2-df);

e_pulse_gaussian = sqrt(Po)*exp(-t.^2/(2*to*to));
f_pulse_gaussian1 = sqrt(2*pi*Po)*to*exp(-2*(pi*f*to).^2);


f_pulse_gaussian2 = Ts*fftshift(fft(e_pulse_gaussian));

figure(1)
subplot(211)
plot(f,abs(f_pulse_gaussian1),'ro-')
axis([-fs/10 fs/10 0 max(f_pulse_gaussian1)])
%xlabel('frequency [Hz]','FontSize',16); 
%title('Gaussian Spectrum 1','FontSize',16)
xlabel('ļ[Hz]','FontSize',16); 
title('̷нĿ  þ ޽ Ʈ','FontSize',16)

subplot(212)
plot(f,abs(f_pulse_gaussian2),'bs-')
axis([-fs/10 fs/10 0 max(f_pulse_gaussian1)])
%xlabel('frequency [Hz]','FontSize',16); 
%title('Gaussian Spectrum 2','FontSize',16)
xlabel('ļ[Hz]','FontSize',16); 
title('fft Լ   þ ޽ Ʈ','FontSize',16)

figure(2)
plot(f,abs(f_pulse_gaussian1),'r',f,abs(f_pulse_gaussian2),'-o')
