% Calculation of Power Penalty due to extinction ratio
% Fig 5-35
clear all

r_ex = 0:0.05:0.5; % extinction ratio
PP = 10*log10((1+r_ex)./(1-r_ex)); % power penaty

plot(r_ex,PP)
xlabel('ұ (r_e_x)'), ylabel(' Ƽ[dB]')
grid on
